CSFML 3.0.0
Loading...
Searching...
No Matches
Classes | Enumerations | Variables
BlendMode.h File Reference
`#include <CSFML/Graphics/Export.h>`

Go to the source code of this file.

## Classes
struct | sfBlendMode
| Blending mode for drawing. More...

## Enumerations
enum | sfBlendFactor { sfBlendFactorZero , sfBlendFactorOne , sfBlendFactorSrcColor , sfBlendFactorOneMinusSrcColor , sfBlendFactorDstColor , sfBlendFactorOneMinusDstColor , sfBlendFactorSrcAlpha , sfBlendFactorOneMinusSrcAlpha , sfBlendFactorDstAlpha , sfBlendFactorOneMinusDstAlpha }
| Enumeration of the blending factors. More...
enum | sfBlendEquation { sfBlendEquationAdd , sfBlendEquationSubtract , sfBlendEquationReverseSubtract , sfBlendEquationMin , sfBlendEquationMax }
| Enumeration of the blending equations. More...

## Variables
const sfBlendMode | sfBlendAlpha
| Blend source and dest according to dest alpha.
const sfBlendMode | sfBlendAdd
| Add source to dest.
const sfBlendMode | sfBlendMultiply
| Multiply source and dest.
const sfBlendMode | sfBlendMin
| Take minimum between source and dest.
const sfBlendMode | sfBlendMax
| Take maximum between source and dest.
const sfBlendMode | sfBlendNone
| Overwrite dest with source.

## Enumeration Type Documentation

## ◆ sfBlendEquation

enum sfBlendEquation

Enumeration of the blending equations.

Enumerator
sfBlendEquationAdd | Pixel = Src * SrcFactor + Dst * DstFactor.
sfBlendEquationSubtract | Pixel = Src * SrcFactor - Dst * DstFactor.
sfBlendEquationReverseSubtract | Pixel = Dst * DstFactor - Src * SrcFactor.
sfBlendEquationMin | Pixel = min(Dst, Src)
sfBlendEquationMax | Pixel = max(Dst, Src)

Definition at line 56 of file BlendMode.h.

## ◆ sfBlendFactor

enum sfBlendFactor

Enumeration of the blending factors.

Enumerator
sfBlendFactorZero | (0, 0, 0, 0)
sfBlendFactorOne | (1, 1, 1, 1)
sfBlendFactorSrcColor | (src.r, src.g, src.b, src.a)
sfBlendFactorOneMinusSrcColor | (1, 1, 1, 1) - (src.r, src.g, src.b, src.a)
sfBlendFactorDstColor | (dst.r, dst.g, dst.b, dst.a)
sfBlendFactorOneMinusDstColor | (1, 1, 1, 1) - (dst.r, dst.g, dst.b, dst.a)
sfBlendFactorSrcAlpha | (src.a, src.a, src.a, src.a)
sfBlendFactorOneMinusSrcAlpha | (1, 1, 1, 1) - (src.a, src.a, src.a, src.a)
sfBlendFactorDstAlpha | (dst.a, dst.a, dst.a, dst.a)
sfBlendFactorOneMinusDstAlpha | (1, 1, 1, 1) - (dst.a, dst.a, dst.a, dst.a)

Definition at line 37 of file BlendMode.h.

## Variable Documentation

## ◆ sfBlendAdd

const sfBlendMode sfBlendAdd

Add source to dest.

Definition at line 82 of file BlendMode.h.

## ◆ sfBlendAlpha

const sfBlendMode sfBlendAlpha

Blend source and dest according to dest alpha.

Definition at line 81 of file BlendMode.h.

## ◆ sfBlendMax

const sfBlendMode sfBlendMax

Take maximum between source and dest.

Definition at line 85 of file BlendMode.h.

## ◆ sfBlendMin

const sfBlendMode sfBlendMin

Take minimum between source and dest.

Definition at line 84 of file BlendMode.h.

## ◆ sfBlendMultiply

const sfBlendMode sfBlendMultiply

Multiply source and dest.

Definition at line 83 of file BlendMode.h.

## ◆ sfBlendNone

const sfBlendMode sfBlendNone

Overwrite dest with source.

Definition at line 86 of file BlendMode.h.